Debian Bug report logs - #231726
apache2-common - fails to install: problems making Certificate Request

version graph

Package: apache2-common; Maintainer for apache2-common is (unknown);

Reported by: Bastian Blank <waldi@debian.org>

Date: Sun, 8 Feb 2004 16:03:02 UTC

Severity: important

Found in version 2.0.48-7

Fixed in version apache2/2.0.48-8

Done: Thom May <thom@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Apache Maintainers <debian-apache@lists.debian.org>:
Bug#231726; Package apache2-common. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Apache Maintainers <debian-apache@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: submit@bugs.debian.org
Subject: apache2-common - fails to install: problems making Certificate Request
Date: Sun, 8 Feb 2004 16:47:35 +0100
[Message part 1 (text/plain, inline)]
Package: apache2-common
Version: 2.0.48-7
Severity: important

apache2-common fails to install:

> Setting up apache2-common (2.0.48-7) ...
> (No info could be read for "-p": geteuid()=0 but you should be root.)
> Setting Apache2 to Listen on port 80. If this is not desired, please edit /etc/apache2/ports.conf as desired. Note that the Port directive no longer works.
> Configuring
> ------------
> 
> The name of the company or organisation the certificate is for. (organisationName)
> 
> :-! Organisation Name
> 
> 
> The host name of the server the certificate is for. This must be filled in. (commonName)
> 
> :-! Host Name
> 
> 
> Generating a 1024 bit RSA private key
> .....
> ......++++++
> ..
> ......++++++
> writing new private key to '/etc/apache2/ssl/apache.pem'
> -----
> problems making Certificate Request
> 7766:error:0D07A098:asn1 encoding routines:ASN1_mbstring_copy:string too short:a_mbstr.c:147:minsize=1
> dpkg: error processing apache2-common (--configure):
>  subprocess post-installation script returned error exit status 1

Bastian

-- 
Leave bigotry in your quarters; there's no room for it on the bridge.
		-- Kirk, "Balance of Terror", stardate 1709.2
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Apache Maintainers <debian-apache@lists.debian.org>:
Bug#231726; Package apache2-common. Full text and rfc822 format available.

Acknowledgement sent to Ross Boylan <RossBoylan@stanfordalumni.org>:
Extra info received and forwarded to list. Copy sent to Debian Apache Maintainers <debian-apache@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 231726@bugs.debian.org (full text, mbox):

From: Ross Boylan <RossBoylan@stanfordalumni.org>
To: Debian Bug Tracking System <231726@bugs.debian.org>
Cc: RossBoylan@stanfordalumni.org
Subject: apache2-common: error may be caused by empty response to cert questions
Date: Tue, 17 Feb 2004 00:04:06 -0800
Package: apache2-common
Version: 2.0.48-7
Severity: normal
Followup-For: Bug #231726

I just ran into what looks like the same problem, and I have a theory
of the cause: I left one of the certificate responses blank (I just
hit enter; it was the last organizational one, like my dept or
division).

I upgraded apache2 on another system and introduced the certificate
for the first time recently, and that one worked fine.  There are many
differences between the systems, but this seems the most obvious
culprit.  This system also has a still installed and running apache v
1, and I installed mpm-worker here rather than mpm-perhcild there.  I
note the warning about an existing server running is something else I
have in common with the original problem report.

If this theory is correct, it seems to me the preferable solution is
to permit blanks (this machine is a family system; we don't have
departments!).  A fallback might be to indicate earlier that some
content is required, or to otherwise deal with the problem more
gracefully.


Here's a bit of the install log
# apt-get -qt unstable install libapache2-svn apache2-doc
apache2-mpm-worker
Reading Package Lists...
Building Dependency Tree...
The following extra packages will be installed:
  apache2-common ssl-cert
The following NEW packages will be installed:
  apache2-common apache2-doc apache2-mpm-worker libapache2-svn
ssl-cert
0 upgraded, 5 newly installed, 0 to remove and 353 not upgraded.
# other stuff, including ncurses based certificate config
Setting up ssl-cert (1.0-7) ...

Setting up apache2-common (2.0.48-7) ...
Setting Apache2 not to start, as something else appears to be using
Port 80. To allow apache2 to start, set NO_START to 0 in
/etc/default/apache2. Apache2 has been set to listen on port 80 by
default, so please edit /etc/apache2/ports.conf as desired. Note that
the Port directive no longer works.
Generating a 1024 bit RSA private key
....................................++++++
.............................++++++
writing new private key to '/etc/apache2/ssl/apache.pem'
-----
problems making Certificate Request
20712:error:0D07A098:asn1 encoding routines:ASN1_mbstring_copy:string
too short:a_mbstr.c:147:minsize=1
dpkg: error processing apache2-common (--configure):
 subprocess post-installation script returned error exit status 1
Setting up apache2-doc (2.0.48-7) ...
dpkg: dependency problems prevent configuration of apache2-mpm-worker:
 apache2-mpm-worker depends on apache2-common (= 2.0.48-7); however:
  Package apache2-common is not configured yet.
dpkg: error processing apache2-mpm-worker (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libapache2-svn:
 libapache2-svn depends on apache2; however:
  Package apache2 is not installed.
  Package apache2-mpm-worker which provides apache2 is not configured
yet.
dpkg: error processing libapache2-svn (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 apache2-common
 apache2-mpm-worker
 libapache2-svn
E: Sub-process /usr/bin/dpkg returned an error code (1)

Finally, I have the practical question of how to recover from this.

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux wheat 2.4.21advncdfs #1 Wed Sep 17 22:06:42 PDT 2003 i686
Locale: LANG=en_US, LC_CTYPE=en_US

Versions of packages apache2-common depends on:
ii  debconf                     1.3.22       Debian configuration management sy
ii  debianutils                 2.6.2        Miscellaneous utilities specific t
ii  libapr0                     2.0.48-7     The Apache Portable Runtime
ii  libc6                       2.3.2.ds1-11 GNU C Library: Shared libraries an
ii  libdb4.2                    4.2.52-8     Berkeley v4.2 Database Libraries [
ii  libexpat1                   1.95.6-6     XML parsing C library - runtime li
ii  libldap2                    2.1.23-1     OpenLDAP libraries
ii  libssl0.9.7                 0.9.7c-5     SSL shared libraries
ii  mime-support                3.24-1       MIME files 'mime.types' & 'mailcap
ii  net-tools                   1.60-9       The NET-3 networking toolkit
ii  openssl                     0.9.7c-5     Secure Socket Layer (SSL) binary a
ii  ssl-cert                    1.0-7        Simple debconf wrapper for openssl
ii  zlib1g                      1:1.2.1-3    compression library - runtime

-- no debconf information




Reply sent to Thom May <thom@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Bastian Blank <waldi@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 231726-close@bugs.debian.org (full text, mbox):

From: Thom May <thom@debian.org>
To: 231726-close@bugs.debian.org
Subject: Bug#231726: fixed in apache2 2.0.48-8
Date: Wed, 17 Mar 2004 09:17:05 -0500
Source: apache2
Source-Version: 2.0.48-8

We believe that the bug you reported is fixed in the latest version of
apache2, which is due to be installed in the Debian FTP archive:

apache2-common_2.0.48-8_powerpc.deb
  to pool/main/a/apache2/apache2-common_2.0.48-8_powerpc.deb
apache2-doc_2.0.48-8_all.deb
  to pool/main/a/apache2/apache2-doc_2.0.48-8_all.deb
apache2-mpm-perchild_2.0.48-8_powerpc.deb
  to pool/main/a/apache2/apache2-mpm-perchild_2.0.48-8_powerpc.deb
apache2-mpm-prefork_2.0.48-8_powerpc.deb
  to pool/main/a/apache2/apache2-mpm-prefork_2.0.48-8_powerpc.deb
apache2-mpm-threadpool_2.0.48-8_powerpc.deb
  to pool/main/a/apache2/apache2-mpm-threadpool_2.0.48-8_powerpc.deb
apache2-mpm-worker_2.0.48-8_powerpc.deb
  to pool/main/a/apache2/apache2-mpm-worker_2.0.48-8_powerpc.deb
apache2-prefork-dev_2.0.48-8_all.deb
  to pool/main/a/apache2/apache2-prefork-dev_2.0.48-8_all.deb
apache2-threaded-dev_2.0.48-8_all.deb
  to pool/main/a/apache2/apache2-threaded-dev_2.0.48-8_all.deb
apache2_2.0.48-8.diff.gz
  to pool/main/a/apache2/apache2_2.0.48-8.diff.gz
apache2_2.0.48-8.dsc
  to pool/main/a/apache2/apache2_2.0.48-8.dsc
libapr0-dev_2.0.48-8_powerpc.deb
  to pool/main/a/apache2/libapr0-dev_2.0.48-8_powerpc.deb
libapr0_2.0.48-8_powerpc.deb
  to pool/main/a/apache2/libapr0_2.0.48-8_powerpc.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 231726@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thom May <thom@debian.org> (supplier of updated apache2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon,  2 Feb 2004 12:47:10 +0000
Source: apache2
Binary: apache2-prefork-dev apache2-mpm-prefork apache2-doc libapr0-dev apache2-mpm-threadpool apache2-mpm-worker libapr0 apache2-threaded-dev apache2-common apache2-mpm-perchild
Architecture: source all powerpc
Version: 2.0.48-8
Distribution: unstable
Urgency: low
Maintainer: Debian Apache Maintainers <debian-apache@lists.debian.org>
Changed-By: Thom May <thom@debian.org>
Description: 
 apache2-common - Next generation, scalable, extendable web server
 apache2-doc - Documentation for apache2
 apache2-mpm-perchild - Experimental High speed perchild threaded model for Apache2
 apache2-mpm-prefork - Traditional model for Apache2
 apache2-mpm-threadpool - Experimental High speed thread pool model for Apache2
 apache2-mpm-worker - High speed threaded model for Apache2
 apache2-prefork-dev - Development headers for apache2
 apache2-threaded-dev - Development headers for apache2
 libapr0    - The Apache Portable Runtime
 libapr0-dev - Development headers for libapr
Closes: 228840 230263 230760 231726 234538 234542 234543 235029 235810 236509
Changes: 
 apache2 (2.0.48-8) unstable; urgency=low
 .
   * Fix typo in debian/rules (closes: #230760)
   * Added patch 021-pcre_mangle_symbols.patch (closes: #235810)
   * Fixed typo in the init scripts (closes: #230263)
   * Changed a bunch of mv's to cp's in rules (closes: #228840)
   * Change mime_magic to use magic from libmagic1 (closes: #236509)
   * Disable ssl-cert until it sucks less. related to 230791 (closes: #231726)
   * update descriptions (closes: #234543, #234538, #234542)
   * Nuke /etc/vhosts and all associated cruft (closes: #235029)
Files: 
 3e53272d809235ab4ab26d1fdf00e6f2 1716 net optional apache2_2.0.48-8.dsc
 18b0cbda434333243fec74de019447fd 82622 net optional apache2_2.0.48-8.diff.gz
 ad90e64ea9fe3390d928ff7918cdb072 2677534 doc optional apache2-doc_2.0.48-8_all.deb
 1855e812d72deaf37c32bd1cf0fae9d8 160968 devel optional apache2-prefork-dev_2.0.48-8_all.deb
 9a95d9d7faf3f2ea6fd3559d1681d3fa 161858 devel optional apache2-threaded-dev_2.0.48-8_all.deb
 ed674cc06bb1f7510e4ca6ccb921c883 873988 net optional apache2-common_2.0.48-8_powerpc.deb
 2639c4af3238c56ba46ff3b4e5a50918 212842 net optional apache2-mpm-worker_2.0.48-8_powerpc.deb
 6211b508d6bcd2fe06de6a4a4e09d131 212414 net optional apache2-mpm-threadpool_2.0.48-8_powerpc.deb
 6330d0cbc5fc490ae57ddb58bbf95599 213886 net optional apache2-mpm-perchild_2.0.48-8_powerpc.deb
 c3290220576f295c45fbb6804551af3a 209336 net optional apache2-mpm-prefork_2.0.48-8_powerpc.deb
 e6e6d64df065c79c121714fa3ff250d9 123116 net optional libapr0_2.0.48-8_powerpc.deb
 7e746b37c10b21cef67bdd93e6b7408e 268770 libdevel optional libapr0-dev_2.0.48-8_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iQIVAwUBQFhbvLVnlGdHP376AQIP2Q/+MYv0AOyWPf5kYX/OtByKBP458Cp3h8HX
ljdRtU1IVsxWPuS9ME2lutRgyvmYKQFtBezxocvXnnVIV3MnwYtuwCuoxCLxcZ04
CT1O90iWm5XmKe3NAv/y1dEBhM8saK1t10d+Ayf+wPrvisgbQTuMZWFOQKgUHe9N
enJ+OSqH8/emw+v+DC6PoIK1/uEKq3QCPQaOuPSCy30zAaSXZJSKxQXVdA6mPP4m
d//+tdZHayl+hYrq7Ev8S1+IlfzhtKW15V7LZJBlxvzODzhdlliBW7+IEm3z1Fdw
3Q6b7544XKniT+GnDuIH32lNKO+fpNuqryKKWPlFXurmV0/URQBgFP7kevTKzXm5
tyTKiji8t5ZDwnsp30v+N2ev4ykIP0yOs8Yf0+6dkDLFIH5+laUtYgjzg1tsZfr2
1Gca31scvqMoAO2QPE7+Z9PTCBTiArYD6cXVKs3nX6QbtJyeOWHlCpAPClzoKqmY
g/CAxVGCE5XERJDEB1aJgcBntu1pJI8d8OczZIRkGerP+EZJy7hbv1KYkObooTuI
qqzlOiPK8ppTDBtYlhTYtRhcucIec9aOYO85yh7Wa9zwoj4Xlh3b/lAdQ3F3rW1L
Vz0AMrLLBBPxEuXjrqPI7ccTIqTQXhwZHF+yIbBX30Te1Duirdlo3jo4MRyGw9BE
YMPlXOwFmRA=
=I1VL
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:39:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.